Canonical dropper support for i386 med næste Ubuntu

19. juni 2019 kl. 09:5816
Fra Ubuntu 19.10 vil i386-arkitekturen ikke længere være understøttet, meddeleler Canonical.
Artiklen er ældre end 30 dage
Manglende links i teksten kan sandsynligvis findes i bunden af artiklen.

Den kommende udgave af Linux-distribution vil ikke understøtte i386-arkitekturen. Det oplyser The Register med henvisning til en meddelelse fra Will Cooke.

Han er en del af desktop-holdet hos Canonical, virksomheden bag Ubuntu.

Således vil den kommende Ubuntu 19.10, som har kodenavnet Eoan Ermine, droppe support for 32-bit i386. Blandt de arkitekturer, som vil være supporterede under Eoan Ermine, er 64-bit AMD64 (x86-64) og 64-bit Armv8.

»The Ubuntu engineering team has reviewed the facts before us and concluded that we should not continue to carry i386 forward as an architecture,« lyder det i meldingen fra Will Cooke som fortsætter:

Artiklen fortsætter efter annoncen

»Consequently, i386 will not be included as an architecture for the 19.10 release, and we will shortly begin the process of disabling it for the eoan series across Ubuntu infrastructure.«

16 kommentarer.  Hop til debatten
Denne artikel er gratis...

...men det er dyrt at lave god journalistik. Derfor beder vi dig overveje at tegne abonnement på Version2.

Digitaliseringen buldrer derudaf, og it-folkene tegner fremtidens Danmark. Derfor er det vigtigere end nogensinde med et kvalificeret bud på, hvordan it bedst kan være med til at udvikle det danske samfund og erhvervsliv.

Og der har aldrig været mere akut brug for en kritisk vagthund, der råber op, når der tages forkerte it-beslutninger.

Den rolle har Version2 indtaget siden 2006 - og det bliver vi ved med.

Debatten
Log ind eller opret en bruger for at deltage i debatten.
settingsDebatindstillinger
16
12. august 2019 kl. 12:47

Hvad gør i for gamle computere som ikke har særligt meget RAM?

Kommer an på hvad maskinerne kan håndtere. Nogle er trods alt så gamle at de ikke kan opgraderes nok. Men med de fleste er der ikke noget problem - vi skal jo ikke køre windows på maskinerne. 1Gb er fint til de fleste af vore besøgende. Mere er selfølgelig kun en fordel.

Hvis maskinen kan opgraderes hjælper vi gerne med at skaffe noget mere RAM. Vi har en del forskellige typer liggende, som vi kan teste med, så vi ved at det virker.

Ofte kan vi finde en RAM-blok til et par hundere kroner. Det er der mange som gerne vil give for at slippe for at give +2-3000 for en anden maskine.

Personligt vil jeg også meget hellere vedligeholde en gammel maskine, så den forsat virker, end at købe en ny som stort set ikke kan vedligelholdes, da mange af de nye maskiner ikke er lige til at åbne. Men jeg har heller ikke bruge for bleeding-edge hardware. Firefox + thunterbird + en temnial til at ssh'e ind til de maskiner jeg roder med. Så er jeg kørende ;-)

/Henning

15
12. august 2019 kl. 11:36

Hvad gør i for gamle computere som ikke har særligt meget RAM?

Firefox er ret RAM-grådig.

13
24. juni 2019 kl. 09:37

Steam bliver jo fikset. Den er jo ikke rigtig i spil.

Det er mit indtryk, a de gradvist opdaterer de enkelte dele af Steam til 64bit. Du kan jo satens launche 64-bit versioner af spil via Steam, og deres overlay mm. kan køre 64-bit.

10
20. juni 2019 kl. 16:51

Her i AlsLUG har vi rigtigt mange brugere som vil blive berørt, da vi slår meget hårdt på "at vi puster liv i din 34 år gamle computer".</p>
<p>Fixed that for you.

Ikke helt, men vi har en maskine stående som har/havde et "made for win98" skilt, så vi skal se om vi kan få til at køre.

Hvorfor? Fordi man kan ;-)

  • og for at vise at selv en 20 år gammel maskine kan lidt - hvis det lykkes.

Og jo. Den skal nok ikke bruges det store i praksis, men det ville sgu være sjovt at kunne tænde den, når du kommer med en tilsvarende antikvitet og vil holde os op på at du i avisen har læst at "vi puster liv i din gamle computer".

/Henning

9
20. juni 2019 kl. 11:57

Fair pointe, men den fjerner blot fokus fra det faktum, at det er og bliver den de fakto standard for Linux distroer. To af de mest benyttede og omtalte distroer i slutbruger regi er Ubuntu og Linux Mint. Den ene bygget over den anden, og begge siger dermed farvel til en 32-bit hardwareverden.

End of the world: på ingen måde. Men det er nu bare en af de smukke ting ved Linux for de fleste non-hardcore Linux brugere, at man altid kan smække en Linux dist på, hvis man har noget gammel jern man ikke har en opgraderingplan på til Windows 10.

Den forsvinder ikke, for der vil være andre andedamme man kan besøge i Linux regi, men det er et stort tilbageskridt for en lille aflukket gruppe brugere.

Og så kommer spørgsmålet: hvor mange andre vil følge trop de næste 2-3 år?

8
20. juni 2019 kl. 10:30

Det kan godt være at Canonical dropper 32 bits support, men det er jo altså ikke det samme som at Linux gør det.

Der er tonsvis af andre distroer at vælge imellem, det er jo bla. det der er noget af det smukke ved Linux - at man så ikke fremover kan få en 32 bit Ubuntu, so what.

Og så lige OT - jeg er begyndt at benytte Alpine Linux til mine RPi'er, det kan klart anbefales hvis man har behov for noget der kører rent i RAM, så man undgår at SD kortet ødelægges hvis man tager strømmen.

6
20. juni 2019 kl. 08:27

Der er en god del 32 bit hardware derude i form af de der små billige Windows 8 og 10 tablets, som ikke er særlig gamle.

5
19. juni 2019 kl. 20:08

Her i AlsLUG har vi rigtigt mange brugere som vil blive berørt, da vi slår meget hårdt på "at vi puster liv i din <em><strong><a href="https://en.wikipedia.org/wiki/Intel_80386">34 år gamle</a></strong></em> computer".

Fixed that for you.

3
19. juni 2019 kl. 17:48

Hvem bliver berørt?

Her i AlsLUG har vi rigtigt mange brugere som vil blive berørt, da vi slår meget hårdt på "at vi puster liv i din gamle computer".

Vi bruger meget tit den gamle masiken som dør-åbner til at folk på en let måde kan prøve linux, og så på et senere tidspunkt også få opgraderet deres nye computer til linux, når de har fundet sig til rette på linux'en på den gamle maskine.

/Henning

2
19. juni 2019 kl. 14:31

Hvem bliver berørt?

Det kunne virke som om at de også har tænkt sig at fjerne support for 32 bit software. Men så længe at man bruger pakke systemer der kan levere de nødvendige 32 bit libs som flatpak og snap , så vil de stadig virke. Umiddelbart virker det lidt undeligt at man ikke adskiller 32 bit hardware support og software support.

1
19. juni 2019 kl. 13:04

Hvem bliver berørt?